import App from "./App.vue";
import { createApp } from "vue";
import { store } from "../TicketApp/store";
import VueToast from "vue-toast-notification";
import "vue-toast-notification/dist/theme-sugar.css";
import { TicketFilters } from "../../types";

declare global {
  interface Window {
    title: string;
    ticketFilterParams: TicketFilters;
  }
}

const _app = createApp({
  template: "<app></app>",
});

_app.component("app", App).use(store).use(VueToast).mount("#ticketList");
